Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.sql
Enum QSqlQuery.BatchExecutionMode

    java.lang.Object
      java.lang.Enum<QSqlQuery.BatchExecutionMode>
          com.trolltech.qt.sql.QSqlQuery.BatchExecutionMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSqlQuery.BatchExecutionMode>

Enclosing class:
  QSqlQuery

    public static enum QSqlQuery.BatchExecutionMode

extends java.lang.Enum<QSqlQuery.BatchExecutionMode>
implements QtEnumerator

Press link for info on QSqlQuery.BatchExecutionMode

Enum Constant Summary
`ValuesAsColumns` - Updates a single row.
`ValuesAsRows` - Updates multiple rows.

Method Summary
`static QSqlQuery.BatchExecutionMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSqlQuery.BatchExecutionMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSqlQuery.BatchExecutionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ValuesAsRows

    public static final QSqlQuery.BatchExecutionMode ValuesAsRows

  - Updates multiple rows. Treats every entry in a QVariantList as a value for updating the next row.

### ValuesAsColumns

    public static final QSqlQuery.BatchExecutionMode ValuesAsColumns

  - Updates a single row. Treats every entry in a QVariantList as a single value of an array type.

Method Detail

### values

    public static final QSqlQuery.BatchExecutionMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSqlQuery.BatchExecutionMode c : QSqlQuery.BatchExecutionMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSqlQuery.BatchExecutionMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSqlQuery.BatchExecutionMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD